org.apache.sling.commons.classloader

## Interface DynamicClassLoaderManager

    @ProviderType
    public interface DynamicClassLoaderManager

The dynamic class loader manager is a central service managing all dynamic class loaders. It provides a class loader that can be used by bundles requiring access to all publicly available classes. The default implementation uses the package admin service to load classes and resources. Keep in mind, that the class loader might get invalid. This happens for example, if the class loader loaded a class from a bundle which has been updated in the meantime. Or a dynamic class loader provider has changed. In these cases, the dynamic class loader manager service is unregistered and reregistered again, so you should discard your classloader and invalidate loaded objects whenever this happens.

### Method Summary

All Methods Instance Methods Abstract Methods
`ClassLoader` `getDynamicClassLoader()` The dynamic class loader.

### Method Detail

#### getDynamicClassLoader

    ClassLoader getDynamicClassLoader()

The dynamic class loader.

Returns:
  The dynamic class loader.